Index: osc_snovis/trunk/obuild/DOS/build_release.bat
===================================================================
--- osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 195)
+++ osc_snovis/trunk/obuild/DOS/build_release.bat	(revision 196)
@@ -7743,112 +7845,7 @@
 IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1075
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_shapes.exe" GOTO end_if_copy_1076
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1090
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_shapes.exe" GOTO end_if_copy_1091
   COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_shapes.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1076
-:end_if_release_1075
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1077
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_std_vector.exe" GOTO end_if_copy_1078
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_std_vector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1078
-:end_if_release_1077
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1079
-IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_typemaps.exe" GOTO end_if_copy_1080
-  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_typemaps.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1080
-:end_if_release_1079
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1081
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_aida_config.exe" GOTO end_if_copy_1082
-  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_aida_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1082
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\aida-config.exe" GOTO end_if_copy_1083
-  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\aida-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1083
-:end_if_release_1081
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1084
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.exe" GOTO end_if_copy_1085
-  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1085
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.save" GOTO end_if_copy_1086
-  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1086
-:end_if_release_1084
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1087
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_onx.exe" GOTO end_if_copy_1088
-  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_onx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1088
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\onxlab.exe" GOTO end_if_copy_1089
-  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\onxlab.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
-  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
-  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1089
-:end_if_release_1087
-FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
-cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
-IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1090
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oxt.exe" GOTO end_if_copy_1091
-  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oxt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -7858,12 +7855,12 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1092
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oqt.exe" GOTO end_if_copy_1093
-  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oqt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1092
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_std_vector.exe" GOTO end_if_copy_1093
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_std_vector.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -7873,12 +7870,12 @@
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
 IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
-FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
-cd "%obuild_pwd_osc_snovis_1%"
-SET obuild_pwd_osc_snovis_1=
-IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
-
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1094
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_analysis.exe" GOTO end_if_copy_1095
-  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_analysis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnX v17r0`) DO SET obuild_OnX_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnX_path  ECHO Can't find OnX package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnX_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1094
+IF NOT EXIST "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_typemaps.exe" GOTO end_if_copy_1095
+  COPY "%obuild_OnX_path%\%obuild_dir_bin%\OnX_exa_Java_typemaps.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
@@ -7894,10 +7891,115 @@
 
 IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1096
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_plotter_factory.exe" GOTO end_if_copy_1097
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_aida_config.exe" GOTO end_if_copy_1097
+  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_aida_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1097
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\aida-config.exe" GOTO end_if_copy_1098
+  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\aida-config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1098
+:end_if_release_1096
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1099
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.exe" GOTO end_if_copy_1100
+  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1100
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.save" GOTO end_if_copy_1101
+  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_config.save" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1101
+:end_if_release_1099
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1102
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_onx.exe" GOTO end_if_copy_1103
+  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_onx.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1103
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\onxlab.exe" GOTO end_if_copy_1104
+  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\onxlab.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1104
+:end_if_release_1102
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1105
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oxt.exe" GOTO end_if_copy_1106
+  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oxt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1106
+:end_if_release_1105
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1107
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oqt.exe" GOTO end_if_copy_1108
+  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_oqt.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1108
+:end_if_release_1107
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1109
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_analysis.exe" GOTO end_if_copy_1110
+  COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_analysis.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
+  @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
+  @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
+:end_if_copy_1110
+:end_if_release_1109
+FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
+cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
+IF NOT EXIST obuild_find.exe  ECHO Program obuild_find.exe not found.  && GOTO obuild_return
+FOR /F "usebackq delims=;" %%j IN (`.\obuild_find.exe  OnXLab v1r0`) DO SET obuild_OnXLab_path=%%j
+cd "%obuild_pwd_osc_snovis_1%"
+SET obuild_pwd_osc_snovis_1=
+IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
+
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1111
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_plotter_factory.exe" GOTO end_if_copy_1112
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_plotter_factory.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1097
-:end_if_release_1096
+:end_if_copy_1112
+:end_if_release_1111
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7908,11 +8010,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1098
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_0.exe" GOTO end_if_copy_1099
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1113
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_0.exe" GOTO end_if_copy_1114
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_0.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1099
-:end_if_release_1098
+:end_if_copy_1114
+:end_if_release_1113
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7923,11 +8025,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1100
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_1.exe" GOTO end_if_copy_1101
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1115
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_1.exe" GOTO end_if_copy_1116
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_1.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1101
-:end_if_release_1100
+:end_if_copy_1116
+:end_if_release_1115
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7938,11 +8040,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1102
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_2.exe" GOTO end_if_copy_1103
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1117
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_2.exe" GOTO end_if_copy_1118
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_2.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1103
-:end_if_release_1102
+:end_if_copy_1118
+:end_if_release_1117
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7953,11 +8055,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1104
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_3.exe" GOTO end_if_copy_1105
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1119
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_3.exe" GOTO end_if_copy_1120
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_3.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1105
-:end_if_release_1104
+:end_if_copy_1120
+:end_if_release_1119
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7968,11 +8070,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1106
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_4.exe" GOTO end_if_copy_1107
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1121
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_4.exe" GOTO end_if_copy_1122
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_4.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1107
-:end_if_release_1106
+:end_if_copy_1122
+:end_if_release_1121
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7983,11 +8085,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1108
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_5.exe" GOTO end_if_copy_1109
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1123
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_5.exe" GOTO end_if_copy_1124
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_5.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1109
-:end_if_release_1108
+:end_if_copy_1124
+:end_if_release_1123
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -7998,11 +8100,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1110
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_6.exe" GOTO end_if_copy_1111
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1125
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_6.exe" GOTO end_if_copy_1126
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_6.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1111
-:end_if_release_1110
+:end_if_copy_1126
+:end_if_release_1125
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8013,11 +8115,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1112
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_7.exe" GOTO end_if_copy_1113
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1127
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_7.exe" GOTO end_if_copy_1128
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_7.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1113
-:end_if_release_1112
+:end_if_copy_1128
+:end_if_release_1127
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8028,11 +8130,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1114
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_8.exe" GOTO end_if_copy_1115
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1129
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_8.exe" GOTO end_if_copy_1130
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_8.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1115
-:end_if_release_1114
+:end_if_copy_1130
+:end_if_release_1129
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8043,11 +8145,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1116
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_9.exe" GOTO end_if_copy_1117
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1131
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_9.exe" GOTO end_if_copy_1132
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_9.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1117
-:end_if_release_1116
+:end_if_copy_1132
+:end_if_release_1131
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8058,11 +8160,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1118
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_10.exe" GOTO end_if_copy_1119
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1133
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_10.exe" GOTO end_if_copy_1134
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_10.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1119
-:end_if_release_1118
+:end_if_copy_1134
+:end_if_release_1133
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
@@ -8073,11 +8175,11 @@
 IF NOT DEFINED obuild_OnXLab_path  ECHO Can't find OnXLab package.  && GOTO obuild_return
 
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1120
-IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_11.exe" GOTO end_if_copy_1121
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%"  ECHO WARNNING : Directory %obuild_OnXLab_path%\%obuild_dir_bin% not found.  && GOTO end_if_release_1135
+IF NOT EXIST "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_11.exe" GOTO end_if_copy_1136
   COPY "%obuild_OnXLab_path%\%obuild_dir_bin%\OnXLab_exa_aida_11.exe" "%obuild_dir_project%\bin\." 1> copy_exe_error
   @IF ERRORLEVEL 1 @TYPE copy_exe_error && @GOTO obuild_return
   @IF NOT ERRORLEVEL 1 @DEL copy_exe_error
-:end_if_copy_1121
-:end_if_release_1120
+:end_if_copy_1136
+:end_if_release_1135
 FOR /F "usebackq delims=;" %%d IN (`cd`) DO SET obuild_pwd_osc_snovis_1=%%d
 cd "%obuild_osc_snovis_path%\%obuild_dir_bin%"
